Subject: Re: Please fix the useless email prompts

From: Kaartic Sivaraam <[email-masked]>
Date: Sun, 20 Aug 2017 15:49:49 +0530

On Sun, 2017-08-20 at 05:18 -0400, Jeff King wrote:
> Ironically, Git used to behave as you requested in 2005. After being
> bombarded with complaints about how Git was too lax in creating commits
> with bogus ident information, we changed it in 2012. So I don't think
> "it's 2017" carries any weight as an argument.
> 

I would like to go with the "don't create commits with bogus
ident". "bogus idents" seem to go against the notion of a "content
tracker" which should *help* identifying the user who was the reason
behind the change. It shoudln't encourage users to create "anonymous
changes". Thus an "anonymous user" seems to completely obscure the
meaning of a "content tracker", at least in my opinion

Moreover, there's no tool that can satisfy *all* of it's users because
Humans are so diverse in their thoughts and behaviour.

-- 
Kaartic